﻿//----------------------------------------------------
// GO GO GADGET SETUP
//====================================================

// Holds the gamer tag
var gamerTag = "";

// Used to refresh the Avatar image every 2 hours
var timeSpan = ((1000 * 60) * 60) * 2;

// Interface Control variables
var expandEnabled = false;
var avatarImage;

//----------------------------------------------------
// GO GO GADGET START
//====================================================
function Start() {

	// Flyout page
	System.Gadget.Flyout.file = "Expand.html";
	System.Gadget.Flyout.onShow = ExpandGamerCard;
	System.Gadget.Flyout.onHide = RetractGamerCard;

	// Settings page
	System.Gadget.settingsUI = "Settings.html";
	System.Gadget.onSettingsClosed = onSettingsClosed;

	// Initial Avatar Image (Gamer Tag is Blank)
	avatarImage = gadget_bg.addImageObject('images/inital_avatar.png',0,0);
	avatarImage.width = 150;
	avatarImage.height = 300;
	avatarImage.top = 0;
	avatarImage.left = 0;

	LoadSettings();
	LoadAvatarImage();

	// Call function repeatedly (refreshes the avatar image)
	setInterval("LoadAvatarImage()", timeSpan);
}

// Flyout Event Handler
function Expand()
{
	if(expandEnabled == false)
	{
		// Only expand if a gamer tag has been specified
		if(gamerTag != "")
			System.Gadget.Flyout.show = true;
	}
	else
		System.Gadget.Flyout.show = false;
}

function ExpandGamerCard()
{
	expandEnabled  = true;
}

function RetractGamerCard()
{
	expandEnabled  = false;
}

// Settings Page Closed Event Handler
function onSettingsClosed(event)
{
	//User clicked OK
	if (event.closeAction == event.Action.commit)
	{
		LoadSettings();
		LoadAvatarImage();
	}
}

function LoadAvatarImage(){
    
	var source = "";

	// If gamer tag is blank, load the inital avatar image
	if (gamerTag=="")
		source = 'images/initial_avatar.png';
	else
		source = 'http://avatar.xboxlive.com/avatar/' + gamerTag +'/avatar-body.png'

	avatarImage.src = source;
	avatarImage.top = 0;
	avatarImage.left = 0;
	avatarImage.width = 150;
	avatarImage.height = 300;
}

function LoadSettings()
{
	gamerTag = System.Gadget.Settings.read("GamerTag");
}

function LoadGamerCard()
{
	LoadSettings();

	var gamerCardURI = "http://gamercard.xbox.com/" + gamerTag + ".card";
	var gamerCardHolder;
	var gamerCard;

	gamerCardHolder = document.getElementById("gamerCardHolder");
	gamerCardHolder.innerHTML = "";

	// Create an IFRAME element to hold gamer card HTML
	gamerCard = document.createElement("iframe");
	gamerCard.setAttribute("frameBorder", "1");
	gamerCard.setAttribute("scrolling", "no");
	gamerCard.style.position = "relative";
	gamerCard.style.width = "204";
	gamerCard.style.height = "140";
	gamerCard.src = gamerCardURI;

	// Add IFRAME to DIV element on Expand.html page
	gamerCardHolder.appendChild(gamerCard);
}
